const $output = document.getElementById("output");
const $progressBar = document.getElementById("progress-bar");
const $progressNb = document.getElementById("progress-number");

function update(current, total, text) {
  $progressBar.value = current;
  $progressBar.max = total;
  $progressNb.textContent = `${current} / ${total}`;
  if (text == null) $output.innerHTML += `${text}<br/>`;
}

function progress(nbTotal = 10) {
  update(0, nbTotal, "0");
  const timerID = setInterval(() => {
    $progressBar.value++; // /!\ attention au cast implicite et au fait que value est limité à $progressBar.max !
    if ($progressBar.value < nbTotal) {
      update($progressBar.value, nbTotal, $progressBar.value);
    } else {
      update(nbTotal, nbTotal, `${nbTotal}, done !`);
      clearInterval(timerID);
    }
  }, 100);
}

document.getElementById("go-button").addEventListener("click", () => progress(42));

// TODO PR sur https://github.com/jgthms/bulma/blob/895b77b3a9c2cfd199b97d2cd602213ee76dac2e/docs/documentation/components/navbar.html

// Get the unique burger and menu elements
const $navbarBurger = document.querySelector(".navbar-burger");
const $navbarMenu = document.querySelector(".navbar-menu");
$navbarBurger.addEventListener("click", function togggler() {
  // Toggle the "is-active" class on both the burger and menu 
  $navbarMenu.classList.toggle("is-active");
  $navbarBurger.classList.toggle("is-active");
});

